{{ $build_future := false -}}
{{ if .GetPage "/dummy_future.md" -}}
  {{ $build_future = true -}}
{{- end }}
<table class="table-pretty table-publications" id="publications">
  <caption>{{ i18n "publications" | strings.FirstUpper }}</caption>
  <thead>
    <tr>
      <th id="col_date">{{ i18n "date" | strings.FirstUpper }}</th>
      <th id="col_author">{{ i18n "author" | strings.FirstUpper }}</th>
      <th id="col_journal">{{ i18n "journal" | strings.FirstUpper }}</th>
      <th id="col_item">{{ i18n "item" | strings.FirstUpper }}</th>
    </tr>
  </thead>
  <tbody>
  {{ range $i_row, $i_col := (getCSV "," "static/datasets/publications.csv") -}}
    {{ if ne $i_row 0 -}}
      {{/* NOTE: we currently don't omit items that lie in the future */ -}}
      {{ $item_date := index $i_col 0 | time -}}
      {{/* if (or (le $item_date.Unix now.Unix) $build_future) */ -}}
        {{/* NOTE: `item_rel_path` takes precendence over `item_url` */ -}}
        {{ $item_url := index $i_col 5 -}}
        {{ $item_rel_path := index $i_col 6 -}}
        {{ $has_item_url := gt (len $item_url) 0 -}}
        {{ $has_item_rel_path := gt (len $item_rel_path) 0 -}}
        {{ if $has_item_rel_path -}}
          {{ $item_url = $item_rel_path | relLangURL -}}
          {{ $has_item_url = true -}}
        {{- end }}
        <tr>
          <td headers="col_date">{{ $item_date | time.Format ":date_long" }}</td>
          <td headers="col_author"><span title="{{ index $i_col 2 | markdownify }}">{{ index $i_col 2 | markdownify | truncate 30 }}</span></td>
          <td headers="col_journal"><span title="{{ index $i_col 3 | markdownify }}">{{ index $i_col 3 | markdownify | truncate 20 }}</span></td>
          <td headers="col_item">
            {{ if $has_item_url }}<a{{ else }}<span{{ end }} title="{{ index $i_col 4 | markdownify }}"{{ if $has_item_url }} href="{{ $item_url }}" target="_blank" rel="noopener"{{ end }}>
              {{ index $i_col 4 | markdownify | truncate 100 }}
            {{ if $has_item_url }}</a{{ else }}</span{{ end }}>
          </td>
        </tr>
      {{- /* end */}}
    {{- end }}
  {{- end }}
  </tbody>
</table>
